/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORIDEF_H
#define SAORIDEF_H

#define SAORI_CLIENT_NAME "Saori Mastodon Client"
#define SAORI_CLIENT_REDIRECT_URI "urn:ietf:wg:oauth:2.0:oob"
#define SAORI_CLIENT_SCOPES "read write follow"
#define SAORI_CLIENT_WEBSITE "https://dev.net-p.org/tamra/saori/wiki"
#define SAORI_QSETTINGS_ORGANIZATION "nop"
#define SAORI_QSETTINGS_DOMAIN "net-p.org"
#define SAORI_QSETTINGS_APPLICATION "Saori"

#define SAORI_SQLFILE "saoridatastore.sqlite"

#define SAORI_MASTODON_APIPATH_APPS "/api/v1/apps"
#define SAORI_MASTODON_APIPATH_AUTHORIZE "/oauth/authorize"
#define SAORI_MASTODON_APIPATH_TOKEN "/oauth/token"
#define SAORI_MASTODON_APIPATH_INSTANCE "/api/v1/instance"
#define SAORI_MASTODON_APIPATH_ACCOUNTS "/api/v1/accounts"
#define SAORI_MASTODON_APIPATH_TIMELINE "/api/v1/timelines"


#endif // SAORIDEF_H
